summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLucki2017-02-22 17:46:41 +0100
committerLucki2017-02-22 17:46:41 +0100
commit870c50ddf59723fe45aa4416d54b450f811834b7 (patch)
treea4f1cbf8c264111bd16461510af7c64644720a15
downloadaur-870c50ddf59723fe45aa4416d54b450f811834b7.tar.gz
Initial package
-rw-r--r--.CHANGELOG62
-rw-r--r--.SRCINFO25
-rw-r--r--PKGBUILD60
-rw-r--r--clonepoint.sh3
4 files changed, 150 insertions, 0 deletions
diff --git a/.CHANGELOG b/.CHANGELOG
new file mode 100644
index 00000000000..ce8789872a2
--- /dev/null
+++ b/.CHANGELOG
@@ -0,0 +1,62 @@
+* commit 9c8a828c0f8a744771ca4518c7840ca8d1ad187f
+| Author: Rohit Nirmal <rohitnirmal9@gmail.com>
+| Date: Thu Jun 2 12:47:23 2016 -0500
+|
+| That's just embarrassing.
+|
+* commit c6d82f7dda436a65532ac8348bd8c49242c81c95
+| Author: Rohit Nirmal <rohitnirmal9@gmail.com>
+| Date: Tue May 17 13:21:26 2016 -0500
+|
+| Add gun2clone, and instructions on how to use it.
+|
+* commit 2535ab7ee1d60def7926cdfa43f44625de15f3f0
+| Author: Rohit Nirmal <rohitnirmal9@gmail.com>
+| Date: Mon Jan 18 11:11:52 2016 -0600
+|
+| Some people may want to compile with logging.
+|
+* commit f2ce5a515639755902651c66721bacf61d8ad821
+| Author: Rohit Nirmal <rohitnirmal9@gmail.com>
+| Date: Fri Jan 1 12:41:12 2016 -0600
+|
+| Faster punching!!
+|
+* commit e28710585cba36a729271ef36574bffa7eea19ce
+| Author: Rohit Nirmal <rohitnirmal9@gmail.com>
+| Date: Thu Dec 31 14:15:16 2015 -0600
+|
+| Add note about custom music in Modding.txt.
+|
+* commit fe8574ee869a9362382f2c6baa4a7dfe14864ffd
+| Author: Rohit Nirmal <rohitnirmal9@gmail.com>
+| Date: Wed Dec 30 19:49:00 2015 -0600
+|
+| - Add new map2.tmx.
+| - Fix map4.tmx being potentially impossible.
+| - Adjust guard starting direction/position in map3.tmx.
+| - Also, deal with stuff added with new Tiled version.
+|
+* commit c9d4fa0b8b60d46d64a86b3483edd7c626836b2a
+| Author: Rohit Nirmal <rohitnirmal9@gmail.com>
+| Date: Sun Dec 27 16:48:14 2015 -0600
+|
+| Config variables for easier map testing.
+|
+* commit 210d3e313b87b26d60ba56859577c63d10d481f1
+| Author: Rohit Nirmal <rohitnirmal9@gmail.com>
+| Date: Sun Dec 27 16:29:22 2015 -0600
+|
+| Add another tutorial mark.
+|
+* commit ec4895d2b7419ae7ec06f4b8df9b66cb8a0a6c27
+| Author: Rohit Nirmal <rohitnirmal9@gmail.com>
+| Date: Sat Dec 26 11:17:59 2015 -0600
+|
+| Play low pass filter of music while in crosslink.
+|
+* commit 37def83baa7f6351dcf8166d27a5d20b2d56c078
+| Author: Rohit Nirmal <rohitnirmal9@gmail.com>
+| Date: Thu Dec 24 00:35:30 2015 -0600
+|
+| Finishing a map transitions to load map state.
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..aab775ba842
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,25 @@
+# Generated by mksrcinfo v8
+# Wed Feb 22 16:40:00 UTC 2017
+pkgbase = clonepoint-git
+ pkgdesc = Free software clone of Gunpoint
+ pkgver = r70.9c8a828
+ pkgrel = 1
+ url = https://rohit.itch.io/clonepoint
+ changelog = .CHANGELOG
+ arch = i686
+ arch = x86_64
+ license = GPL3
+ makedepends = git
+ depends = openal
+ depends = sdl2
+ provides = clonepoint
+ backup = opt/clonepoint/config.cfg
+ source = clonepoint-git::git+https://github.com/rohit-n/Clonepoint.git
+ source = clonepoint_linux.tar.gz::https://w3g3a5v6.ssl.hwcdn.net/upload2/game/17230/142200?GoogleAccessId=507810471102@developer.gserviceaccount.com&Expires=1487779020&Signature=Vy6WEYKS1z4nvbeTPlzk57mgG55ao5fFsW9pnNH6OnRBwYhqXMUZJ1sggRTHzT6mYhAcveroDJZluapEEJoT2WeP2PQp8MzkwqOGgcgVlz2rVmB2pdtXQURlYxVTG9Ek2Wz7LpeiJSPcxqMW5GCa9SLrAimwBt1egMUMBCjOiK4=&hwexp=1487779320&hwsig=08bec548b8440e2b3e0ba63f5e34b946
+ source = clonepoint.sh
+ sha512sums = SKIP
+ sha512sums = 261c19b4b2cf4cfcd8c568e0aa89779b754c935545e07238c737592d06c1e5828a52a3e8d62a6d51cec4c880a821da05060c86c1539f5dd982e8fcfd7f509ca3
+ sha512sums = 8b5ec604d5023db4f6103a7d679c4b42fc9319f59afb431b0c73718d690141553653806fbd7640b06fd1d55196b3f854507bb4383633519364b783d0ab31ebdf
+
+pkgname = clonepoint-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..8d2eae31340
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,60 @@
+# Maintainer: Lucki <Lucki at holarse-linuxgaming dot de>
+
+pkgname=clonepoint-git
+_pkgname=clonepoint
+
+pkgver=r70.9c8a828
+pkgrel=1
+pkgdesc="Free software clone of Gunpoint"
+arch=('i686' 'x86_64')
+url="https://rohit.itch.io/clonepoint"
+license=('GPL3')
+changelog=.CHANGELOG
+backup=('opt/clonepoint/config.cfg')
+depends=('openal' 'sdl2')
+makedepends=('git')
+provides=('clonepoint')
+source=(${pkgname}::git+https://github.com/rohit-n/Clonepoint.git
+ 'clonepoint_linux.tar.gz::https://w3g3a5v6.ssl.hwcdn.net/upload2/game/17230/142200?GoogleAccessId=507810471102@developer.gserviceaccount.com&Expires=1487779020&Signature=Vy6WEYKS1z4nvbeTPlzk57mgG55ao5fFsW9pnNH6OnRBwYhqXMUZJ1sggRTHzT6mYhAcveroDJZluapEEJoT2WeP2PQp8MzkwqOGgcgVlz2rVmB2pdtXQURlYxVTG9Ek2Wz7LpeiJSPcxqMW5GCa9SLrAimwBt1egMUMBCjOiK4=&hwexp=1487779320&hwsig=08bec548b8440e2b3e0ba63f5e34b946'
+ 'clonepoint.sh')
+sha512sums=('SKIP'
+ '261c19b4b2cf4cfcd8c568e0aa89779b754c935545e07238c737592d06c1e5828a52a3e8d62a6d51cec4c880a821da05060c86c1539f5dd982e8fcfd7f509ca3'
+ '8b5ec604d5023db4f6103a7d679c4b42fc9319f59afb431b0c73718d690141553653806fbd7640b06fd1d55196b3f854507bb4383633519364b783d0ab31ebdf')
+
+
+pkgver()
+{
+ # https://wiki.archlinux.org/index.php/VCS_package_guidelines#Git
+ cd "${srcdir}/${pkgname}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+prepare()
+{
+ # generate .desktop-file
+ gendesk -n -f --categories "Game"
+
+ # update .CHANGELOG
+ git -C ${srcdir}/${pkgname} log --graph -10 > ${startdir}/.CHANGELOG
+}
+
+build()
+{
+ cd "$srcdir/$pkgname"
+ make
+}
+
+package()
+{
+ cd "$srcdir/$pkgname"
+
+ install -Dm644 "${srcdir}/${_pkgname}.desktop" "${pkgdir}/usr/share/applications/${_pkgname}.desktop"
+ install -Dm755 "${srcdir}/${pkgname}/${_pkgname}" "${pkgdir}/opt/${_pkgname}/${_pkgname}"
+ install -Dm755 "${srcdir}/clonepoint.sh" "${pkgdir}/usr/bin/${_pkgname}"
+ cp -r "${srcdir}/Clonepoint/data" "${pkgdir}/opt/${_pkgname}/data/"
+ cp -r "${srcdir}/Clonepoint/shaders" "${pkgdir}/opt/${_pkgname}/shaders/"
+ install -Dm666 "${srcdir}/${pkgname}/config.cfg" "${pkgdir}/opt/${_pkgname}/config.cfg"
+}
diff --git a/clonepoint.sh b/clonepoint.sh
new file mode 100644
index 00000000000..675bc8d1476
--- /dev/null
+++ b/clonepoint.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+cd /opt/clonepoint/
+exec ./clonepoint "$@"